## ddrescue-gui 2.1.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/DDRescue-GUI.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/DDRescue-GUI.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/DDRescue-GUI"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/DDRescue-GUI"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## ddrescue-gui 1.6.1~otherdistro-0ubuntu1~ppa1

=== debian/changelog ===
ddrescue-gui (2:1.6.1~otherdistro-0ubuntu1~ppa1) otherdistro; urgency=low
  * Changes since v1.6:

  * OS X - Fix bugs preventing the use of a normal (non device) file as the input file.

 -- Hamish T. McIntyre-Bhatty (PGP key for signing launchpad packages) <hamishmb@live.co.uk>  Fri, 19 Aug 2016 09:53:39 +0100

=== debian/control ===
Source: ddrescue-gui
Section: utils
Priority: extra
Maintainer: Hamish McIntyre-Bhatty <hamishmb@live.co.uk>
Build-Depends: debhelper (>= 5), cdbs (>= 0.2)
Standards-Version: 3.9.5

Package: ddrescue-gui
Architecture: all
Depends: python-wxtools, gddrescue, python2.7, bash, lshw, util-linux, kpartx, python-bs4, libnotify-bin, psmisc, coreutils, mount, sudo, ${misc:Depends}
Description: A simple GUI frontend to make gddrescue easier to use.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk

binary-install/ddrescue-gui::
	dh_icons

## ddrescue-gui 1.7.2

=== debian/changelog ===
ddrescue-gui (3:1.7.2-1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Bump to debhelper compat 7.
  * Switch to 3.0 (quilt) source format.
  * Switch to tiny debhelper rules file.
  * Drop cdbs B-D.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 26 Feb 2018 18:17:26 -0800

ddrescue-gui (3:1.7.2~otherdistro~update1-0ubuntu1~ppa1) otherdistro; urgency=low

  * Changes since v1.7.1:

  * Add support for running on ddrescue 1.23.

 -- Hamish T. McIntyre-Bhatty (PGP key for signing launchpad packages) <hamishmb@live.co.uk>  Tue, 20 Feb 2018 15:28:38 +0000

=== debian/control ===
Source: ddrescue-gui
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Hamish McIntyre-Bhatty <hamishmb@live.co.uk>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.7

Package: ddrescue-gui
Architecture: all
Depends: python-wxtools,
         gddrescue,
         python2.7,
         bash,
         lshw,
         util-linux,
         kpartx,
         python-bs4,
         libnotify-bin,
         psmisc, coreutils,
         mount,
         sudo,
         ${misc:Depends}
Description: A simple  Python GUI frontend to make gddrescue easier to use.

## ddrescue-gui 2.1.1~focal~update1-0ubuntu1~ppa1

=== debian/changelog ===
ddrescue-gui (12:2.1.1~focal~update1-0ubuntu1~ppa1) focal; urgency=low
  * Changes since v2.1.0:
  *
  * Drop support and workarounds for Python 2.
  * Make DDRescue-GUI compatible with wxPython 4.1.0.
  * Various fixes for Cygwin, including fixing a potential memory leak.
  * Make developer docs more mobile friendly.
  * Fix unmounting output files on certain versions of macOS.
  * Add the .desktop file to the repository.

 -- Hamish T. McIntyre-Bhatty (PGP key for signing launchpad packages) <hamishmb@live.co.uk>  Fri, 28 Aug 2020 10:34:29 +0100

=== debian/control ===
Source: ddrescue-gui
Section: utils
Priority: extra
Maintainer: Hamish McIntyre-Bhatty <hamishmb@live.co.uk>
Build-Depends: debhelper (>= 5), cdbs (>= 0.2)
Standards-Version: 4.5.0

Package: ddrescue-gui
Architecture: all
Depends: python3, python3-wxgtk4.0, python3-getdevinfo, python3-requests, gddrescue, psmisc, coreutils, kpartx, parted, util-linux, libnotify-bin, cryptsetup-bin, mount, bash, policykit-1, ${misc:Depends}
Description: A simple GUI frontend to make GNU ddrescue easier to use.

## ddrescue-gui 2.1.1

=== debian/changelog ===
ddrescue-gui (11:2.1.1-2kaisen) kaisen-packages; urgency=medium

  * Replace policykit-1 by polkitd

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 11 Aug 2024 15:16:48 +0200

ddrescue-gui (11:2.1.1-1kaisen) kaisen-packages; urgency=medium

  * Quilt package
  * Add homepage URL in the control file
  * Add Vcs entries
  * Update maintainer email address
  * Complete repackaging
  * Add Kaisen polkit

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 09 Jan 2022 03:07:19 +0100

ddrescue-gui (10:2.1.1+kaisen1) kaisen-packages; urgency=medium

  * Rebuilding for Kaisen Linux Rolling

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Sat, 05 Dec 2020 18:05:41 +0200

ddrescue-gui (10:2.1.1~otherdistro-0ubuntu1~ppa1) otherdistro; urgency=low
  * Changes since v2.1.0:
  *
  * Drop support and workarounds for Python 2.
  * Make DDRescue-GUI compatible with wxPython 4.1.0.
  * Various fixes for Cygwin, including fixing a potential memory leak.
  * Make developer docs more mobile friendly.
  * Fix unmounting output files on certain versions of macOS.
  * Add the .desktop file to the repository.

 -- Hamish T. McIntyre-Bhatty (PGP key for signing launchpad packages) <hamishmb@live.co.uk>  Fri, 28 Aug 2020 10:34:29 +0100

ddrescue-gui (10:2.1.0+kaisen1) kaisen-devel; urgency=medium

  * Rebuilding for Kaisen Linux Rolling

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Mon, 25 May 2020 10:34:59 +0200

ddrescue-gui (10:2.1.0~focal~update1-0ubuntu1~ppa1) focal; urgency=low
  * Changes since v2.0.2:
  *
  * Drop support for wxPython 2.8.11, Ubuntu 14.04, and Python 2.7.6.
  * Fix logging in submodules.
  * Improve in-code documentation.
  * Fix using output and log files with spaces in the names.
  * Add tooltips for macOS about the overwrite notices.
  * Clarify when to enable direct disk access in the settings window.
  * Large rewrite and various fixes in output file mounting code.
  * Fix mounting CD images on Linux and macOS.
  * Fix LP #1852598 Reusing DDRescue-GUI after aborting results in an aborted message upon completion
  * Fix LP #1852596 Choosing previously selected file causes DDRescue-GUI to hang
  * General cleanup and fixed several hangs.
  * Use ddrescue's time remaining estimates when available, fixes LP#1731640
  * Add APFS mounting support for macOS 10.12 and higher.
  * Add LVM mounting support for Linux.
  * Add explicit support for ddrescue 1.25 and add ddrescue 1.25 binary for macOS.
  * Add an "Open File Viewer" button on the finished window.
  * Provide a text entry dialog so users on macOS can now select arbitrary devices.
  * Don't present users with choices during mounting when unneccessary.
  * Various other smaller fixes and improvements.

 -- Hamish T. McIntyre-Bhatty (PGP key for signing launchpad packages) <hamishmb@live.co.uk>  Mon, 27 Apr 2020 14:26:17 +0100

=== debian/control ===
Source: ddrescue-gui
Section: utils
Priority: optional
XSBC-Original-Maintainer: Hamish McIntyre-Bhatty <hamishmb@live.co.uk>
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Build-Depends: debhelper (>= 13), cdbs (>= 0.2), dh-python, python3,
Standards-Version: 4.6.0
Homepage: https://www.hamishmb.com/html/ddrescue-gui.php
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/ddrescue-gui
Vcs-Git: https://gitlab.com/kaisenlinux/packages/ddrescue-gui.git

Package: ddrescue-gui
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
	 python3,
	 python3-wxgtk4.0,
	 python3-getdevinfo,
	 python3-requests,
	 gddrescue,
	 psmisc,
	 coreutils,
	 kpartx,
	 parted,
	 util-linux,
	 libnotify-bin,
	 cryptsetup-bin,
	 mount,
	 bash,
	 polkitd,
Description: A simple GUI frontend to make GNU ddrescue easier to use
